/*
    This file is part of the UNF library / toolset
    Copyright (C) 2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: oExtInf.c $
   $Locker: ska $	$Name:  $	$State: Exp $

	Ouput a full table 1 (Extended Country Information).
	Note: In opposite to PC-DOS implementations this table does NOT
		include the trailing 10 dummy bytes.

*/

#include "unf.loc"

#ifdef _MICROC_
#endif

#include "unf_post.loc"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: oExtInf.c 1.3 2000/04/29 04:44:42 ska Exp ska $";
#endif

void oExtInf(struct nlsExtCntryInfo *nfo)
{	olabelc(1, "Extended Country Information DOS-65-01 / DOS-38");
	oo("make_size");
	//ot(&nfo->countryCode, sizeof(*nfo) - offsetof(struct extCtryInfo, countryCode));
	otopen();
	otiw(nfo->countryCode);
	otiw(nfo->codePage);
	otc("Country ID & Codepage");
	otlw(nfo->dateFmt, "Date format: 0/1/2: U.S.A./Europe/Japan");
	otac(nfo->curr, "Currency string");
	otac(nfo->thSep, "Thousand's separator");
	otac(nfo->point, "Decimal point");
	otac(nfo->dateSep, "Date separator");
	otac(nfo->timeSep, "Time separator");
	otlb(nfo->currFmt, "Currency format (bit array)");
	otlb(nfo->prescision, "Currency precision");
	otlb(nfo->timeFmt, "time format: 0/1: 12/24 houres");
	oouc("go_forward", 4, "Far address of upcase function (to be calc at runtime)");
	otac(nfo->dataSep, "Data separator");
	oend();
}
